Package org.eclipse.birt.chart.model.component

# Interface MarkerRange

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `DialRegion`

All Known Implementing Classes:
  `DialRegionImpl`, `MarkerRangeImpl`

public interface MarkerRange extends IChartObject
A representation of the model object 'Marker Range'. This type defines a marker area. It is intended for use as a range marker associated with an Axis.

The following features are supported:

- `Outline`
- `Fill`
- invalid reference

      Start Position

- invalid reference

      End Position

- invalid reference

      Associated Label

- invalid reference

      Label Position

See Also:
  - `ComponentPackage.getMarkerRange()`

## Method Summary

Modifier and Type
Method
Description
`MarkerRange`
`copyInstance()`
`Cursor`
`getCursor()`
Returns the value of the 'Cursor' containment reference.
`DataElement`
`getEndValue()`
Returns the value of the 'End Value' containment reference.
`Fill`
`getFill()`
Returns the value of the 'Fill' containment reference.
`FormatSpecifier`
`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
`Label`
`getLabel()`
Returns the value of the 'Label' containment reference.
`Anchor`
`getLabelAnchor()`
Returns the value of the 'Label Anchor' attribute.
`LineAttributes`
`getOutline()`
Returns the value of the 'Outline' containment reference.
`DataElement`
`getStartValue()`
Returns the value of the 'Start Value' containment reference.
`org.eclipse.emf.common.util.EList<Trigger>`
`getTriggers()`
Returns the value of the 'Triggers' containment reference list.
`boolean`
`isSetLabelAnchor()`
Returns whether the value of the '`Label Anchor`' attribute is set.
`void`
`setCursor(Cursor value)`
Sets the value of the '`Cursor`' containment reference.
`void`
`setEndValue(DataElement value)`
Sets the value of the '`End Value`' containment reference.
`void`
`setFill(Fill value)`
Sets the value of the '`Fill`' containment reference.
`void`
`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.
`void`
`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
`setLabelAnchor(Anchor value)`
Sets the value of the ' `Label Anchor`' attribute.
`void`
`setOutline(LineAttributes value)`
Sets the value of the '`Outline`' containment reference.
`void`
`setStartValue(DataElement value)`
Sets the value of the '`Start Value`' containment reference.
`void`
`unsetLabelAnchor()`
Unsets the value of the ' `Label Anchor`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getOutline

LineAttributes getOutline()
Returns the value of the 'Outline' containment reference. Specify the outline properties for the marker range.

Returns:
  the value of the 'Outline' containment reference.
See Also:
  - `setOutline(LineAttributes)`
  - `ComponentPackage.getMarkerRange_Outline()`

### setOutline

void setOutline(LineAttributes value)
Sets the value of the '`Outline`' containment reference.

Parameters:
  `value` - the new value of the 'Outline' containment reference.
See Also:
  - `getOutline()`

### getFill

Fill getFill()
Returns the value of the 'Fill' containment reference. Specify the background for the marker range.

Returns:
  the value of the 'Fill' containment reference.
See Also:
  - `setFill(Fill)`
  - `ComponentPackage.getMarkerRange_Fill()`

### setFill

void setFill(Fill value)
Sets the value of the '`Fill`' containment reference.

Parameters:
  `value` - the new value of the 'Fill' containment reference.
See Also:
  - `getFill()`

### getStartValue

DataElement getStartValue()
Returns the value of the 'Start Value' containment reference. Defines where this area starts relative to the axis scale.

Returns:
  the value of the 'Start Value' containment reference.
See Also:
  - `setStartValue(DataElement)`
  - `ComponentPackage.getMarkerRange_StartValue()`

### setStartValue

void setStartValue(DataElement value)
Sets the value of the '`Start Value`' containment reference.

Parameters:
  `value` - the new value of the 'Start Value' containment reference.
See Also:
  - `getStartValue()`

### getEndValue

DataElement getEndValue()
Returns the value of the 'End Value' containment reference. Defines where this area is ends relative to the axis scale.

Returns:
  the value of the 'End Value' containment reference.
See Also:
  - `setEndValue(DataElement)`
  - `ComponentPackage.getMarkerRange_EndValue()`

### setEndValue

void setEndValue(DataElement value)
Sets the value of the '`End Value`' containment reference.

Parameters:
  `value` - the new value of the 'End Value' containment reference.
See Also:
  - `getEndValue()`

### getLabel

Label getLabel()
Returns the value of the 'Label' containment reference. Specifies the label associated with this area.

Returns:
  the value of the 'Label' containment reference.
See Also:
  - `setLabel(Label)`
  - `ComponentPackage.getMarkerRange_Label()`

### setLabel

void setLabel(Label value)
Sets the value of the '`Label`' containment reference.

Parameters:
  `value` - the new value of the 'Label' containment reference.
See Also:
  - `getLabel()`

### getLabelAnchor

Anchor getLabelAnchor()
Returns the value of the 'Label Anchor' attribute. The default value is `"North"`. The literals are from the enumeration `Anchor`. Specifies where the label associated with this line is to be positioned within respect to the marker range itself.

Returns:
  the value of the 'Label Anchor' attribute.
See Also:
  - `Anchor`
  - `isSetLabelAnchor()`
  - `unsetLabelAnchor()`
  - `setLabelAnchor(Anchor)`
  - `ComponentPackage.getMarkerRange_LabelAnchor()`

### setLabelAnchor

void setLabelAnchor(Anchor value)
Sets the value of the ' `Label Anchor`' attribute.

Parameters:
  `value` - the new value of the 'Label Anchor' attribute.
See Also:
  - `Anchor`
  - `isSetLabelAnchor()`
  - `unsetLabelAnchor()`
  - `getLabelAnchor()`

### unsetLabelAnchor

void unsetLabelAnchor()
Unsets the value of the ' `Label Anchor`' attribute.

See Also:
  - `isSetLabelAnchor()`
  - `getLabelAnchor()`
  - `setLabelAnchor(Anchor)`

### isSetLabelAnchor

boolean isSetLabelAnchor()
Returns whether the value of the '`Label Anchor`' attribute is set.

Returns:
  whether the value of the 'Label Anchor' attribute is set.
See Also:
  - `unsetLabelAnchor()`
  - `getLabelAnchor()`
  - `setLabelAnchor(Anchor)`

### getFormatSpecifier

FormatSpecifier getFormatSpecifier()
Returns the value of the 'Format Specifier' containment reference. Specifies the formatting for marker range labels.

Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `setFormatSpecifier(FormatSpecifier)`
  - `ComponentPackage.getMarkerRange_FormatSpecifier()`

### setFormatSpecifier

void setFormatSpecifier(FormatSpecifier value)
Sets the value of the '`Format Specifier`' containment reference.

Parameters:
  `value` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `getFormatSpecifier()`

### getTriggers

org.eclipse.emf.common.util.EList<Trigger> getTriggers()
Returns the value of the 'Triggers' containment reference list. The list contents are of type `Trigger`. Holds the triggers for the marker range.

Returns:
  the value of the 'Triggers' containment reference list.
See Also:
  - `ComponentPackage.getMarkerRange_Triggers()`

### getCursor

Cursor getCursor()
Returns the value of the 'Cursor' containment reference. The element represents a cursor for marker range.

Returns:
  the value of the 'Cursor' containment reference.
See Also:
  - `setCursor(Cursor)`
  - `ComponentPackage.getMarkerRange_Cursor()`

### setCursor

void setCursor(Cursor value)
Sets the value of the '`Cursor`' containment reference.

Parameters:
  `value` - the new value of the 'Cursor' containment reference.
See Also:
  - `getCursor()`

### copyInstance

MarkerRange copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`